Results 1 to 8 of 8

Thread: Section 508 Compliance / ARIA

  1. #1
    Sencha User
    Join Date
    May 2011
    Location
    Northern California
    Posts
    255
    Vote Rating
    17
      0  

    Default Section 508 Compliance / ARIA

    Is ExtJS 4.2 508 compliant? If not fully compliant, is there a list of components that are?

  2. #2
    Sencha - Ext JS Dev Team Animal's Avatar
    Join Date
    Mar 2007
    Location
    Notts/Redwood City
    Posts
    30,615
    Vote Rating
    54
      0  

    Default

    We are hard at work on this.

  3. #3
    Ext JS Premium Member
    Join Date
    Mar 2011
    Location
    San Mateo
    Posts
    1
    Vote Rating
    0
      0  

    Default

    Is there any update on 508/ARIA compliance? I was under the impression that 4.2 was supposed to be compliant. Any details about screen readers, gotchas etc.?

  4. #4
    Sencha Premium Member dawesi's Avatar
    Join Date
    Mar 2007
    Location
    Melbourne, Australia (aka GMT+10)
    Posts
    1,093
    Vote Rating
    56
      0  

    Default

    I think this has been bumped to 4.3.x series. Can anyone confirm when the full implementation will be in ExtjS?

    Need to know also for WCAG 2 AA (Australian accessability guidelines for government departments)
    Lead Trainer / Sencha Specialist
    Community And Learning Systems

    Lead Architect
    DigitalTickets.net

  5. #5
    Sencha Premium User
    Join Date
    Nov 2010
    Location
    Chicago
    Posts
    1,934
    Vote Rating
    548
      0  

    Default

    I see a ton of Aria changes in 4.2.2 (nightly).

  6. #6
    Sencha User
    Join Date
    May 2011
    Location
    Northern California
    Posts
    255
    Vote Rating
    17
      0  

    Default

    Why can't we get any information about 508 compliance in ExtJS? What are the issues? What is the plan? Where are the docs?

  7. #7
    Sencha Premium Member dawesi's Avatar
    Join Date
    Mar 2007
    Location
    Melbourne, Australia (aka GMT+10)
    Posts
    1,093
    Vote Rating
    56
      0  

    Default

    508 compliance is a lot more than the aria package for extjs. I suggest if you need this talk to an expert company about what to implement. In 2014 my company (teahouse training/senchaworld.com) will be putting some webcasts out on this, as we're WCAG 2.0 AA (one step above 508) so I've been through the process of helping implement some sites already.

    From what I've heard the docs are going to take a while to get the 508 stuff in them. Basically, grab hold of the webinar from the conference and do your own research, or hire someone who's done the legwork to do it for you (a lot easier, but expensive)

    Achieving ADA Section 508 Compiance with ExtJS 4.2 (SenchaCon 2013)
    http://senchaworld.com/index.php/201...th-ext-js-4-2/
    Lead Trainer / Sencha Specialist
    Community And Learning Systems

    Lead Architect
    DigitalTickets.net

  8. #8
    Sencha User
    Join Date
    May 2011
    Location
    Northern California
    Posts
    255
    Vote Rating
    17
      0  

    Default

    Thanks for the info, dawesi. I'm aware it is bigger than ExtJS, but it would be nice to know what ExtJS supports, and for some reason, getting that information is harder than pulling teeth.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •